package com.pokkt.thirdparty;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import com.app.pokktsdk.delegates.PokktCustomNetworkVideoDelegate;
import com.app.pokktsdk.util.PokktStorage;
import com.fyber.ads.videos.RewardedVideoActivity;

/**
 * Created by pankajbarnwal on 09/11/15.
 */
public class FyberActivity extends Activity {

    String networkName = null;
    private final static String TAG = FyberActivity.class.getName();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        try {
            networkName = getIntent().getStringExtra("networkName");
            FyberNetwork fyberNetwork = (FyberNetwork) PokktStorage.getNetworkFromMap(networkName);
            this.startActivityForResult(fyberNetwork.getIntent(), FyberNetwork.REWARDED_VIDEO_REQUEST_CODE);
        } catch (Exception e) {
            Log.e(TAG, e.getMessage(), e);
        }
    }

    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);
        try {
            if (resultCode == Activity.RESULT_OK && requestCode == 8796) {//8796 is for REWARDED_VIDEO_REQUEST_CODE
                String engagementStatus = data.getStringExtra(RewardedVideoActivity.ENGAGEMENT_STATUS);
                FyberNetwork fyberNetwork = (FyberNetwork) PokktStorage.getNetworkFromMap(networkName);
                fyberNetwork.setIntent(null);
                switch (engagementStatus) {
                    case RewardedVideoActivity.REQUEST_STATUS_PARAMETER_FINISHED_VALUE://video completed
                        Log.i(FyberNetwork.TAG, "The video has finished after completing. The user will be rewarded.");
                        PokktCustomNetworkVideoDelegate.onVideoCompleted(this, fyberNetwork.getPokktConfig(), networkName);
                        break;
                    case RewardedVideoActivity.REQUEST_STATUS_PARAMETER_ABORTED_VALUE://skip
                        Log.i(FyberNetwork.TAG, "Video has been skipped");
                        PokktCustomNetworkVideoDelegate.onVideoSkipped(this, fyberNetwork.getPokktConfig(), networkName);
                        break;
                    case RewardedVideoActivity.REQUEST_STATUS_PARAMETER_ERROR:
                        Log.i(FyberNetwork.TAG, "The video was interrupted or failed to play due to an error.");
                        break;
                    default:
                        break;
                }

                PokktCustomNetworkVideoDelegate.onVideoClosed(this, fyberNetwork.getPokktConfig(), false, networkName);
                finish();
            }

        } catch(Exception e) {
            Log.e(TAG, e.getMessage(), e);
            finish();
        }
    }
}
