package com.bigflix.BigFlixMovies;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageManager.NameNotFoundException;
import android.content.res.Configuration;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.Window;
import android.widget.TextView;
import android.widget.Toast;
import com.app.pokktsdk.PokktManager;
import com.app.pokktsdk.util.AndroidDeviceInfo;
import com.pokkt.videodemo.R;

public class Pokkt extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		super.onCreate(savedInstanceState);

		setContentView(R.layout.apppage);
		String versionName = "v";
		try {
			versionName += getPackageManager().getPackageInfo(getPackageName(), 0).versionName;
		} catch (NameNotFoundException e) {
            Log.e("[SampleApp]","Exception while getting version name!!",e);
		}

		if(!AndroidDeviceInfo.isNetworkAvailable(this)){
			Toast.makeText(this, "Network Not Available!! Please Connect to Internet First.", Toast.LENGTH_LONG).show();
		}

		((TextView) findViewById(R.id.tvVersion)).setText(versionName);

		findViewById(R.id.button_offerwall).setOnClickListener(new OnClickListener() {
					@Override
					public void onClick(View v) {
						startActivity(new Intent(Pokkt.this, OfferwallActivity.class));
					}
				});

		findViewById(R.id.button_video).setOnClickListener(new OnClickListener() {
					@Override
					public void onClick(View v) {
						Intent intent = new Intent(Pokkt.this, VideoActivity.class);
						intent.putExtra("auto_caching",true);
						startActivity(intent);
					}
				});

        findViewById(R.id.button_video_noauto).setOnClickListener(new OnClickListener() {
                    @Override
                    public void onClick(View v) {
						Intent intent = new Intent(Pokkt.this, VideoActivity.class);
						intent.putExtra("auto_caching",false);
                        startActivity(intent);
                    }
                });
		findViewById(R.id.button_export_log).setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				PokktManager.exportLog(Pokkt.this);
			}
		});
	}

	@Override
	public void onConfigurationChanged(Configuration newConfig) {
		super.onConfigurationChanged(newConfig);
	}
}
