package com.bigflix.BigFlixMovies;

import android.widget.Toast;
import com.app.pokktsdk.delegates.VideoCampaignDelegate;
import com.app.pokktsdk.model.VideoResponse;

public class VideoDelegate implements VideoCampaignDelegate {

    public static VideoActivity videoActivity;

    @Override
    public void onDownloadCompleted(float result) {
        Toast.makeText(videoActivity, "Video Download Completed ! Video vc is: " + result, Toast.LENGTH_LONG).show();

        if (videoActivity != null)
            videoActivity.showButtons();
    }

    @Override
    public void onDownloadFailed(String message) {
        Toast.makeText(videoActivity, "Video Download Error " + message, Toast.LENGTH_LONG).show();
        if (videoActivity != null)
            videoActivity.hideButtons();
    }

    @Override
    public void onVideoClosed(boolean backPressed) {
        if (backPressed) {
            Toast.makeText(videoActivity, "Video Closed with Back Button", Toast.LENGTH_LONG).show();
        } else {
            Toast.makeText(videoActivity, "Video Closed", Toast.LENGTH_LONG).show();
        }
        if (videoActivity != null)
            videoActivity.hideButtons();
    }

    @Override
    public void onVideoCompleted() {
        Toast.makeText(videoActivity, "Video Completed", Toast.LENGTH_LONG).show();
    }

    @Override
    public void onVideoDisplayed() {
        Toast.makeText(videoActivity, "Video Displayed", Toast.LENGTH_LONG).show();
    }

    @Override
    public void onVideoGratified(VideoResponse videoResponse) {
        if ("1".equalsIgnoreCase(videoResponse.getCoinStatus())) {
            if (!"".equalsIgnoreCase(videoResponse.getTransactionId()))
                Toast.makeText(videoActivity, "Points Earned " + videoResponse.getCoins()
                        + " with transaction id " + videoResponse.getTransactionId(), Toast.LENGTH_LONG).show();
            else
                Toast.makeText(videoActivity, "Points Earned " + videoResponse.getCoins(), Toast.LENGTH_LONG).show();
            Storage.storeVideoPoints(videoActivity,Float.parseFloat(videoResponse.getCoins()));

            if (videoActivity != null)
                videoActivity.updateUI(Storage.getVideoPoints(videoActivity));
        }
    }

    @Override
    public void onVideoSkipped() {
        Toast.makeText(videoActivity, "Video Skipped", Toast.LENGTH_LONG).show();
    }
}
